package com.ym.mec.biz.dal.entity;

import org.apache.commons.lang.StringUtils;
import org.apache.commons.lang3.builder.ToStringBuilder;

import com.ym.mec.common.enums.BaseEnum;

/**
 * 对应数据库表(sys_message_config):
 */
public class SysMessageConfig {

	public enum MessageType implements BaseEnum<String, MessageType> {
		USER_REGISTER("用户注册");

		private MessageType(String code) {
		}

		@Override
		public String getCode() {
			return name();
		}

		public static MessageType getMessageType(String name) {
			for (MessageType type : MessageType.values()) {
				if (StringUtils.equals(type.name(), name)) {
					return type;
				}
			}
			return null;
		}

	}

	/**  */
	private Integer id;

	/** 消息类型 */
	private MessageType messageType;

	/** 消息内容 */
	private String content;

	/** 描述 */
	private String description;

	/** 最后修改时间 */
	private java.util.Date modifyOn;

	/** 跳转url */
	private String url;

	public void setId(Integer id) {
		this.id = id;
	}

	public Integer getId() {
		return this.id;
	}

	public void setMessageType(MessageType messageType) {
		this.messageType = messageType;
	}

	public MessageType getMessageType() {
		return this.messageType;
	}

	public void setContent(String content) {
		this.content = content;
	}

	public String getContent() {
		return this.content;
	}

	public void setDescription(String description) {
		this.description = description;
	}

	public String getDescription() {
		return this.description;
	}

	public void setModifyOn(java.util.Date modifyOn) {
		this.modifyOn = modifyOn;
	}

	public java.util.Date getModifyOn() {
		return this.modifyOn;
	}

	public void setUrl(String url) {
		this.url = url;
	}

	public String getUrl() {
		return this.url;
	}

	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this);
	}

}
